0
Welcome Guest! Login
0 items Join Now

gantry4: gantry template error.php file trying to require non-exist file

    • shenk's Avatar
    • shenk
    • Hero Rocketeer
    • Posts: 399
    • Thanks: 11

    gantry4: gantry template error.php file trying to require non-exist file

    Posted 7 months 5 days ago
    • My website had been active, due to some server configuration issue, it was down but the files and database are intact. Now I am trying to recover it but encounter a strange problem:

      After I copied all the files to the right place, restore the database and modify configuration.php file, the front-end shows a blank page. When I look at the error log, there is only one error:
      mod_fcgid: stderr: PHP Warning: require_once(/home/wp/public_html/libraries/joomla/document/html/renderer/head.php): failed to open stream: No such file or directory in /home/wp/public_html/templates/gantry/error.php on line 85

      mod_fcgid: stderr: PHP Fatal error: require_once(): Failed opening required '/home/wp/public_html/libraries/joomla/document/html/renderer/head.php' (include_path='.:/usr/share/php') in /home/wp/public_html/templates/gantry/error.php on line 85

      I open templates/gantry/error.php, line 85 is:

      require_once(JPATH_LIBRARIES.'/joomla/document/html/renderer/head.php');

      But under "libraries/joomla", there is no such folder "document"; I also look at other working websites(3.8.0, 3.8.2), none of them has this folder. Be noted that this website was working and it has been upgraded to 3.8.2, and it was using Gantry4's default template(gantry). At this point, I don't know where this error could come from and how to fix it. Would you be able to help? Thank you!
    • Matt's Avatar
    • Matt
    • Preeminent Rocketeer
    • Posts: 20158
    • Thanks: 2844
    • messin' with stuff

    Re: gantry4: gantry template error.php file trying to require non-exist file

    Posted 7 months 5 days ago
    • shenk's Avatar
    • shenk
    • Hero Rocketeer
    • Posts: 399
    • Thanks: 11

    Re: gantry4: gantry template error.php file trying to require non-exist file

    Posted 6 months 2 weeks ago
    • I am getting "CALL TO PROTECTED METHOD JOOMLA\CMS\APPLICATION\SITEAPPLICATION::ROUTE() FROM CONTEXT " message on my site after I made changes to those files.
    • Matt's Avatar
    • Matt
    • Preeminent Rocketeer
    • Posts: 20158
    • Thanks: 2844
    • messin' with stuff

    Re: gantry4: gantry template error.php file trying to require non-exist file

    Posted 6 months 2 weeks ago
    • Revert the changes and/or upgrade to the latest version of the Template. We've released the changes for Joomla 3.8 for all of our active templates. Ensure you have the latest version of Gantry installed as well.
    • SEARCH the forum first! These boards are rich in knowledge and vast in topics :woohoo:

Time to create page: 0.133 seconds